packagekit_0.7.6-3_amd64.deb


Advertisement

Description

packagekit - Provides a package management service

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: packagekit
Package version: 0.7.6
Package release: 3
Package architecture: amd64
Package type: deb
Installed size: 2.91 KB
Download size: 750.10 KB
Official Mirror: ftp.br.debian.org
PackageKit allows performing simple software management tasks over a DBus interface e.g. refreshing the cache, updating, installing and removing software packages or searching for multimedia codecs and file handlers. The work is done by backends which make use of the package manager shipped by the corresponding distribution. PackageKit is not meant to replace advanced tools like Synaptic. The main benefits are: - unified interface on several distributions - fine grained privileges by using PolicyKit - independency from a running desktop session during the processing

Alternatives

Provides

  • packagekit-system-interface

    Download

    Source package: packagekit

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install packagekit deb package:
      # sudo apt-get install packagekit

    Files

    • /etc/PackageKit/PackageKit.conf
    • /etc/PackageKit/Vendor.conf
    • /etc/PackageKit/events/post-transaction.d/README
    • /etc/PackageKit/events/pre-transaction.d/README
    • /etc/apt/apt.conf.d/20packagekit
    • /etc/dbus-1/system.d/org.freedesktop.PackageKit.conf
    • /usr/lib/packagekit/packagekitd
    • /usr/lib/pm-utils/sleep.d/95packagekit/95packagekit
    • /usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_dummy.so
    • /usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_test_fail.so
    • /usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_test_nop.so
    • /usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_test_spawn.so
    • /usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_test_succeed.so
    • /usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_test_thread.so
    • /usr/lib/x86_64-linux-gnu/packagekit-plugins/libpk-plugin-clear-firmware-requests.so
    • /usr/lib/x86_64-linux-gnu/packagekit-plugins/libpk_plugin-check-shared-libraries-in-use.so
    • /usr/lib/x86_64-linux-gnu/packagekit-plugins/libpk_plugin-no-update-process.so
    • /usr/lib/x86_64-linux-gnu/packagekit-plugins/libpk_plugin-scan-desktop-files.so
    • /usr/lib/x86_64-linux-gnu/packagekit-plugins/libpk_plugin-update-check-processes.so
    • /usr/lib/x86_64-linux-gnu/packagekit-plugins/libpk_plugin-update-package-list.so
    • /usr/lib/x86_64-linux-gnu/packagekit-plugins/libpk_plugin_scripts.so
    • /usr/share/PackageKit/pk-upgrade-distro.sh
    • /usr/share/PackageKit/helpers/test_spawn/search-name.sh
    • /usr/share/dbus-1/interfaces/org.freedesktop.PackageKit.Transaction.xml
    • /usr/share/dbus-1/interfaces/org.freedesktop.PackageKit.xml
    • /usr/share/dbus-1/system-services/org.freedesktop.PackageKit.service
    • /usr/share/doc/packagekit/NEWS.gz
    • /usr/share/doc/packagekit/README.Debian
    • /usr/share/doc/packagekit/TODO
    • /usr/share/doc/packagekit/changelog.Debian.gz
    • /usr/share/doc/packagekit/copyright
    • /usr/share/locale/ar/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/as/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/bg/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/bg_BG/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/bn_IN/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ca/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ca@valencia/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/cs/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/da/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/de/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/el/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/en_GB/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/eo/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/es/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/eu/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/fa_IR/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/fi/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/fr/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ga/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/gl/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/gu/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/he/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/hi/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/hu/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/id/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/it/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/it_IT/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ja/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/kk/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/kn/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ko/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/lt/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/lv/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ml/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/mr/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ms/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/nb/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/nl/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/or/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/pa/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/pl/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/pt/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/pt_BR/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ro/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ru/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/sk/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/sl/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/sr/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/sr@latin/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/sv/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/ta/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/te/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/th/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/tr/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/uk/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/wa/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/zh_CN/LC_MESSAGES/PackageKit.mo
    • /usr/share/locale/zh_TW/LC_MESSAGES/PackageKit.mo
    • /usr/share/mime/packages/packagekit-catalog.xml
    • /usr/share/mime/packages/packagekit-package-list.xml
    • /usr/share/mime/packages/packagekit-servicepack.xml
    • /usr/share/polkit-1/actions/org.freedesktop.packagekit.policy

    Changelog

    2013-02-12 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.6-3) unstable; urgency=low * aptcc: Fix Apt cache handling bug (Closes: #699681)

    2012-12-10 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.6-2) unstable; urgency=low * aptcc: Release remaining lock on the archive after a transaction has completed * aptcc: Fix trusted/untrusted package handling * aptcc: Don't accidentially mark packages as auto-installed * Removed some unused build dependencies

    2012-08-21 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.6-1) unstable; urgency=low * New upstream bugfix release: 0.7.6 Changes relevant to Debian: - aptcc: Don't use tempfile with fixed name for conffiles (Matthias Klumpp) (Closes: #678189) - Add GStreamer 1.0 support to the PackageKit plugin (Richard Hughes) - Ignore "accept-eula" in pk-transaction-run (Gary Ching-Pang Lin) - Check for CancelBackgroundTransactions setting again (Matthias Klumpp) - Fix a crash where NetworkManager is restarted whilst packagekitd is running (Richard Hughes) - Drop the unused polkit-backend-1 check from configure as it's gone upstream (Richard Hughes) - Fix segfault in pkcon when user does ctrl-d at the package prompt (Richard Hughes) - Inhibit shutdown when the package manager is locked (Richard Hughes) - Fix several return values in pkcon when there is an error (Richard Hughes) - Allow the user to specify standard GNU help options (Richard Hughes) - Do not allow the client to overwrite files when downloading packages (Richard Hughes)

    2012-06-26 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.5-2) unstable; urgency=low * Fix mistake in GTK3-module install file

    2012-06-26 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.5-1) unstable; urgency=low * Disable strict mode * Allow alternative system-interface implementations * New upstream bugfix release: 0.7.5 Changes relevant to Debian: - glib: Allow adding packages to PkPackageSack from package-list files (Matthias Klumpp) - glib: More GIR annotations (Matthias Klumpp) - glib: Use the correct user-cache directory (Richard Hughes) - aptcc: Don't freeze if apt-listchanges is installed (Matthias Klumpp) (Closes: #662602) - aptcc: Make get-distro-upgrades.py helper work with Python3 (Sebastian Heinlein) - aptcc: save the changelog to a random directory (Daniel Nicoletti) - Add a dummy GTK+2 module to avoid a warning when starting GTK+2 applications (Richard Hughes) (Closes: #649039) - Add the pkg to the PkPackageSack hash when using pk_package_sack_add_package_by_id() (Richard Hughes) - Automatically set the Locked property true if allow cancel is set to false (Richard Hughes) - Clarify message for org.freedesktop.packagekit.package-install (Nils Philippsen) - Document HARDWARE_DRIVER (Martin Pitt) - Document MODALIAS (Martin Pitt) - Don't show a warning on refresh if /var/run/PackageKit/udev does not exist (Richard Hughes) - Fix importing GPG signatures (Richard Hughes) * Removed patches: Applied upstream * Removed Apt backend again: Backend is broken and can't be included in Wheezy at the current state. Please use aptcc, which works much better at time and is well-tested (Closes: #678978)

    2012-06-02 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.4-4) unstable; urgency=low * Install browser-plugin into valid path (Closes: #674910) * Install introduction pages (Closes: #665289)

    2012-05-23 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.4-3) unstable; urgency=medium * aptcc: Save changelog to random dir

    2012-04-26 - Matthias Klumpp <matthias@tenstral.net> packagekit (0.7.4-2) unstable; urgency=low * Fixed qt2 library soname * Don't install GIR into multiarch path (Closes: #670374) * Updated packagekit-python description

    Advertisement
    Advertisement